aboutsummaryrefslogtreecommitdiffstats
path: root/debian/ethereal-dev.postinst
diff options
context:
space:
mode:
authorOlivier Abad <oabad@noos.fr>2002-10-26 08:56:39 +0000
committerOlivier Abad <oabad@noos.fr>2002-10-26 08:56:39 +0000
commite0926b556ac4dbca1041577b1b226d50b473bfaf (patch)
treeced722522167b221b25029109103f8bb6ab26a35 /debian/ethereal-dev.postinst
parent45ed05190c4bf75aa16dba9c391daf4ff3bc77cb (diff)
Update Debian packaging files. Ethereal is now split in 4 packages :
ethereal-common, ethereal, tethereal, ethereal-dev svn path=/trunk/; revision=6513
Diffstat (limited to 'debian/ethereal-dev.postinst')
-rw-r--r--debian/ethereal-dev.postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/ethereal-dev.postinst b/debian/ethereal-dev.postinst
new file mode 100644
index 0000000000..ec629da3f9
--- /dev/null
+++ b/debian/ethereal-dev.postinst
@@ -0,0 +1,19 @@
+#! /bin/sh -e
+
+PYTHON=python2.2
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ /usr/bin/$PYTHON -O /usr/lib/$PYTHON/compileall.py -q \
+ /usr/lib/$PYTHON/site-packages/
+ ;;
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+